require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to test the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator. If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails. There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.

RSpec.describe '/activities', type: :request do
  let(:signed_in_user) { User.find_by email: 'user@example.com' }

  describe 'GET /index' do
    it 'renders a successful response' do
      FactoryBot.create :note
      get root_url
      expect(response).to be_successful
    end
  end

  describe 'GET /feed' do
    context 'with unauthenticated user' do
      it 'redirects to the login page' do
        get feed_url
        expect(response).to redirect_to(new_user_session_url)
      end
    end

    context 'with authenticated user' do
      before { sign_in signed_in_user }

      it 'renders a successful response' do
        FactoryBot.create :note
        get feed_url
        expect(response).to be_successful
      end
    end
  end
end
